Name: libcdatetime
Version: 20220104
Release: 1
Summary: Library to support cross-platform C date and time functions
Group: System Environment/Libraries
License: LGPLv3+
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcdatetime
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
BuildRequires: gcc 

%description -n libcdatetime
Library to support cross-platform C date and time functions

%package -n libcdatetime-static
Summary: Library to support cross-platform C date and time functions
Group: Development/Libraries
Requires: libcdatetime = %{version}-%{release}

%description -n libcdatetime-static
Static library version of libcdatetime.

%package -n libcdatetime-devel
Summary: Header files and libraries for developing applications for libcdatetime
Group: Development/Libraries
Requires: libcdatetime = %{version}-%{release}

%description -n libcdatetime-devel
Header files and libraries for developing applications for libcdatetime.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcdatetime
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libcdatetime-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libcdatetime-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdatetime.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan  4 2022 Joachim Metz <joachim.metz@gmail.com> 20220104-1
- Auto-generated

